/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Theme URI: http://impreza.us-themes.com/
Author URI: http://us-themes.com/
*/

/*Add your own styles here:*/

.cmplz-cookiebanner .cmplz-buttons {
    flex-direction: row-reverse;
}

.grecaptcha-badge {
    visibility: hidden;
}

.w-iconbox.iconpos_left .w-iconbox-icon{
	margin-right: 0 !important;
}

/*General*/
h6{
	padding-top: 0;
}


 /*Header*/
.l-header.shadow_wide .l-subheader.at_middle, .l-header.shadow_wide .l-subheader.at_bottom{
	box-shadow: 0 3px 30px -1px rgba(0, 0, 0, 0.1), 0 2px 1px -1px rgba(0, 0, 0, 0.05) !important;
}

#page-header{
	text-transform: uppercase;
}

.l-subheader .at_middle .width_full{
	max-width: 1755px !important;
}

@media(max-width: 600px){
    .header_hor .l-subheader-cell.at_right>* {
    margin-left: 0 !important;
}
}

@media(max-width: 1200px){
	.l-subheader-cell.at_left{
	    max-width: 180px !important;
	}
}

.header_hor .w-nav.type_mobile.m_layout_dropdown .w-nav-list.level_1{
	padding-right: 4rem !important;
}


/*Estilos boton 1*/
.button-orange-header{
	padding: 0.4em 1.1em !important;
	font-size: 16px !important;
}
.button-orange-header:hover .w-btn-label{
	animation: slideBtnHeader 0.6s forwards !important;
}

@keyframes slideBtnHeader{
0%{
transform: translateY(0%);
  }
30%{
transform: translateY(10%);
  }
60%{
transform: translateY(0%);
  }
80%{
transform: translateY(-30px);
}
100%{
transform: translateY(0%);
  }
}


.button-orange{
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
}

.button-orange:hover{
	border: 1px solid #E66C00;
}

.button-orange .w-btn-label{
	transition: transform 0.2s ease-in-out;
}

.button-orange:hover .w-btn-label{
	animation: slideBtn 0.6s forwards;
}

@keyframes slideBtn{
0%{
transform: translateY(0%);
  }
30%{
transform: translateY(-10%);
  }
60%{
transform: translateY(0%);
  }
80%{
transform: translateY(30px);
}
100%{
transform: translateY(0%);
  }
}


/*Estilos boton2*/
.button-arrow{
	transition: all .3s ease-in-out;
	position: relative;
}

.button-arrow::after{
	cursor: default !important;
	content: url(https://asis.solbyte.dev/wp-content/uploads/2025/07/solar_arrow-up-broken.png);
	transition: 0.3s ease-in-out;
	position: absolute;
    transform: translatey(-10%);
	right: 0;
}

.button-arrow:hover::after{
	opacity: 0;
	right: -30%;
}

/*Estilos boton3*/
.button-arrow-orange{
	display: flex;
	content: url(https://asis.solbyte.dev/wp-content/uploads/2025/07/Vector-min.png);
}
/*Estilos boton 3 carrousel*/

.owl-prev:after{
	content: '\f060' !important;
	color: #E66C00;
	font-size: 60px;
}

.owl-next:after{
	content: '\f061' !important;
	color:#E66C00;
	font-size: 60px;
}

/*Estilos puntos*/
.owl-dots {
    padding-bottom: 1rem;
}

.dotstyle_circle .owl-dot.active span,
.dotstyle_circle .owl-dot span{
	background: #E66C00 !important;
    width: 15px;
    height: 15px;
}
.dotstyle_circle .owl-dot.active span{
	opacity: 1;
}


/*Textos before after*/
.center-title{
	position: relative;
	text-align: center;
}

.center-title::before{
	content: url(https://asis.solbyte.dev/wp-content/uploads/2025/07/Frame-33-min.png);
	position: absolute;
	transform: translateX(-100%);
}

.center-title::after{
	content: url(https://asis.solbyte.dev/wp-content/uploads/2025/07/Frame-33-min.png);
	position: absolute;
}

@media(max-width: 600px){
	.icon-box-tittle .w-iconbox-icon img{
	    width: 1.2em !important;
	}
	.icon-box-tittle .w-iconbox-icon{
		width: 1.5em;
	}
}


/*Hero*/
.hero-section, .hero-section .l-section-h{
	padding-top: 0 !important;
}

.bouncy{
	animation: bounce 2s infinite ease-in-out;
}

@keyframes bounce{
	0%, 100% {
    transform: translateY(0);
  }
  20% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(70px);
  }
  55% {
    transform: translateY(0);
  }
  65% {
    transform: translateY(-15px);
  }
  75% {
    transform: translateY(0);
  }
  85% {
    transform: translateY(-15px);
  }
  95% {
    transform: translateY(0);
  }
}

/*Cuadricula servicios flechas*/
.section1-carrusel .w-grid-list .owl-stage-outer .owl-stage,
.section1-carrusel .w-grid-list .owl-stage-outer .owl-stage .owl-item{
	min-width: 100%;
}
.carrusel-servicios .w-grid-list .owl-nav {
    position: absolute;
	left: 75%;
	top: -10%;
	right: 5% !important;
}

.owl-carousel.navpos_inside .owl-next {
    right: 0;
}

@media(max-width: 1200px){
	.carrusel-servicios .owl-carousel.navpos_inside .owl-prev {
    left: auto !important;
    right: 60%;
}
}

@media(max-width: 600px){
.owl-carousel.navpos_inside .owl-prev {
    right: 90% !important;
	}
}

/*Quienes somos*/

@keyframes slideWords{
	0% {
		transform: translateY(-10%);
	}

	18% {
		transform: translateY(-10%);
	}
	20% {
		transform: translateY(10%);
	}
	33.33% {
		transform: translateY(-105%);
	}
	51.33% {
		transform: translateY(-105%);
	}
	53.33% {
		transform: translateY(-80%);
	}
	66.66% {
		transform: translateY(-195%);
	}
	84.66% {
		transform: translateY(-195%);
	}
	86.66% {
		transform: translateY(-190%);
	}
	98% {
		transform: translateY(0%);
	}
	100% {
		transform: translateY(10%);
	}
}


/*Servicios*/
.servicios .w-grid-item-h{
	overflow: visible !important;
}

.card-servicios-child .servicios-cuadricula-img{
	transition: transform 0.3s ease-in-out !important;
	transform-origin: bottom left !important;
}

.card-servicios-child:hover .servicios-cuadricula-img{
	transform: scale(1.2) !important;
}

.carrusel-servicios .owl-carousel{
	margin-left: auto !important;
   	margin-right: auto !important;
}


/*Flota*/
#us_grid_2{
	transform: translateY(15%);
}

.flota-wrapper{
	padding: 13px;
}

.flota-wrapper .flota-img{
	transition: transform 0.3s ease-in-out !important;
	transform-origin: bottom left !important;
}

.flota-wrapper:hover .flota-img{
	transform: scale(1.2) !important;
}

.carrusel-flota .owl-carousel .owl-nav {
    position: absolute;
    top: -10%;
    right: 15%;
}

.carrusel-flota .owl-carousel{
    margin-right: auto !important;
}

@media(max-width: 1200px){
	.carrusel-flota .owl-nav{
		right: 30% !important;
	}
}

@media(max-width: 600px){
	.carrusel-flota .owl-nav{
    	right: 35% !important;
	}
}

.galeria-seccion .l-section-h{
	max-width: 50rem;
}



.galeria-interna .w-grid-list .owl-stage-outer .owl-stage .owl-item .w-grid-item-h .w-post-elm img{
	border-radius: 20px;
    padding: 1rem !important;
    border: 1px solid #E66C00;
}


.galeria-interna .w-grid-list .owl-stage-outer{
	border-radius: 10px;
	max-height: 85vh;
}

/*Logistica*/
.icon-box-wrapper{
    flex-wrap: wrap;
    align-content: center;
}	
	
.icon-box-wrapper .vc_column-inner{
    padding: 0 !important;
}

.locations-list{
	display: grid;
	justify-content: center !important;
}

.logistica-bg-img{
	filter: blur(4px);
}

.btn-cuadricula.logistica{
	position:relative;
}

.btn-cuadricula.logistica::after {
    content: url(https://asis.solbyte.dev/wp-content/uploads/2025/08/solar_arrow-up-broken.svg);
	position: absolute;
}

/*Clientes*/

.owl-carousel.has_height, .owl-carousel.has_height :is( .owl-stage-outer,.owl-stage,.owl-item,.w-grid-item-h,.w-grid-item,.post_image:only-child,.post_image a,.post_image img ){
    align-items: center;
}

/*Formulario*/
.iframe-column{
	flex-wrap: wrap;
	align-content: end;
}

.form-input{
	border-bottom: 1px solid white !important;
}

.validation-column{
	margin-top: 2rem;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

.form-btn{
	right: 0;
}

.checkbox-validation-span {
	margin-top: 2rem;
    display: flex;
}

#aceptacion{
	width: 30px;
	border: 1px solid white;
}

.checkbox-validation-form{
	display:flex;
	align-items:center !important;
}

